<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.mail.mail-session.custom.credential-reference">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="store,alias,type,clear-text"/>
        <elem name="complex-attribute" value="credential-reference"/>
        <elem name="addr-params" value="profile,subsystem,mail-session,custom"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.mail"/>
    </annotation>
    <refs>
        <ref feature="subsystem.mail.mail-session.custom"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="custom" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="mail"/>
        <param name="alias" nillable="true"/>
        <param name="store" nillable="true"/>
        <param name="type" nillable="true"/>
        <param name="clear-text" nillable="true"/>
        <param name="mail-session" feature-id="true"/>
    </params>
</feature-spec>